<?php

/* User_Db is autoloaded from the UserAuth object's autoload prereqs */
$user_db       = new User_Db();

/* Okay let's load up the db needed */
$user_db       = $user_db->Db(
   $default->user_db->driver,
   $default->user_db
);

$user_db->debug->debug = $default->debug->prometheus;

/* Let's open up the theme database also */
$user_theme_db = new User_Theme_Db();

$user_theme_db = $user_theme_db->Db(
   $default->user_theme_db->driver,
   $default->user_theme_db
);

$user_theme_db->debug->debug = $default->debug->prometheus;

/* Let's load up the User_Domain_Db */
$user_domain_db    = new User_Domain_Db();

$user_domain_db    = $user_domain_db->Db(
   $default->user_domain_db->driver,
   $default->user_domain_db
);

$user_domain_db->debug->debug = $default->debug->prometheus;

/* User authentication */
$user_auth_obj = new UserAuth( $user_db );

/*
The user_obj is used pretty heavily throught the application
Try not to overwrite it with your own variable (boom baby boom)
*/
$user_obj            = new User();
$user_obj->user_name = $user;
$user_obj->password  = $password;
//if ( $default->crypt_passwords == 1 ) {
//   $user_obj->password = $user_obj->EncryptPassword();
//}
$user_obj->domain    = $domain_id;

$user_domain_obj     = new User_Domain();
$ret_vals = $user_auth_obj->Verify( $user_obj );

$user_admin_privileges_obj = new AdminPrivileges();

$user_theme_obj = new User_Theme();

if ( $ret_vals[ 0 ] == 1 ) {

   $t_obj = $ret_vals[ 1 ];
   $user_obj->id = $t_obj->id;
   /* A complete overwrite of that object fucks passthrough up imensley */
   //$user_obj = $ret_vals[ 1 ];

   $admin_db = new AdminPrivileges_Db();

   $admin_db = $admin_db->Db(
         $default->admin_privileges_db->driver,
         $default->admin_privileges_db
   );

   $admin_privileges_obj  = new UserAdminPrivileges( $admin_db );

   list( $status, $user_admin_privileges_obj ) =
      $admin_privileges_obj->Get( $user_obj->id );

   /* $user_admin_privileges_obj->DebugDump(); */
   list( $status, $user_domain_obj ) = $user_domain_db->Get( $user_obj->domain );

   if ( $status == 0 ) {
      $user_domain_obj = new User_Domain();
   }

   $rets = $user_theme_db->Get( $user_obj->id );

   if ( $rets[ 0 ] == 1 ) {
      $user_theme_obj = $rets[ 1 ];
   }

} else {

   $form_mode             = 'PROMETHEUS_LOGIN_MODE_INVALID';
   $prometheus_mode       = -1;
   $user_obj->deny_login  = 1;

}

/* Override the theme setting if it's a unknown */
if ( $default->themes[ $user_theme_obj->theme_name ] == '' ) {
   $user_theme_obj->theme_name = $default->theme;
}

?>
