#!/usr/bin/perl
# clear_httpd_cache.pl
#
# Purpose:
# This maintaince script removes the httpd cache files created
# by the AppServer and HttpCache objects in their caching process.
#

## Config
my $httpd_cache_dir = '/var/cache/httpd';

#### - Main program - ####
# Grab the sorted list of cache files
foreach my $cache_file ( sort glob( $httpd_cache_dir . '/*' ) ) {

   my $file_age = int( -M $cache_file );


   if ( -f $cache_file && $file_age != 0 ) {

      print "File age : $file_age\n";
      print "Removing cache entry: $cache_file\n";
      unlink( $cache_file );

      if ( -f $cache_file ) {
         warn "WARN:: could not remove $cache_file\n";
      }

   }

}

print "Done!\n";
exit();

# - EOF -
